<?php
  function Affiche_input_sub_cat($ID,$niveau,$default)
  {
    $out = "";
    if ($resultat = Category::getCategoryByParent($ID))
    {
      foreach($resultat as $ligne)
      {
        $out .= "    <option value='" . $ligne['ID'] . "'";
        if (($ligne['ID']) == $default)
        {
          $out .= " selected";
        }
        $out .= ">";
        for ($cpt=0;$cpt<$niveau;$cpt++)
        {
          $out .= "--";
        }
        $out .= htmlspecialchars($ligne['Description']) . "</option>\n";
        $out .= Affiche_input_sub_cat($ligne['ID'], $niveau+1, $default);
      }
    }
    return $out;
  }
  
  function Parent_cat($ID)
  {
    $out = "";
      if($ligne = Category::getCategoryByID($ID ))
      {
        if($ligne['ParentID']!=0)
        {
          $out = Parent_cat($ligne['ParentID'])."-";
        }
        $out .= htmlspecialchars($ligne['Nom']);
      }
    return $out;
  }

?>